/* ccgo: go/nctest.cc
 *
 * Copyright 2004 Chun-Chung Chen <cjj@u.washington.edu>
 *
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "nc.hh"
#include "arg.hh"
#include "sgf.hh"
#include "debug.hh"
#include <sstream>
#include <fstream>
#include <iomanip>

using namespace std;

int main(int argc, char * argv[])
{
	arg::Parser p;

	arg::V_int debug;
	p.add_opt('d', "debug", & debug);
	arg::V_string sgf_file;
	p.add_opt('f', "sgf-file", & sgf_file);

	p.parse(argc, argv);

	if (p.check('d')) debug_level = int(debug);
	ccgo::Game * g = 0;
	if (p.check('f')) {
		fstream f(string(sgf_file).c_str(), ios::in);
		if (f) g = ccgo::load_sgf(f);
	}

	if (! g) {
		g = new ccgo::Game;
		g->set_init(19);
	}
	Nc::Walk nw;
	nw.set_node(g);
	nw.loop();
	return 0;
}

